import cbr_shared
from osbot_utils.base_classes.Type_Safe import Type_Safe
from osbot_utils.utils.Files import path_combine
from osbot_utils.utils.Toml import toml_to_dict, toml_dict_from_file

FILE_NAME___DEMO_USERS__CONFIG_FILE = 'demo/demo_users.toml'

class Demo_Users(Type_Safe):

    def demo_user(self, user_name):
        user_data  = self.users_data().get(user_name)
        if user_data:
            return user_data
        raise ValueError(f'Demo user with name `{user_name}` not found')

    def path_config_file(self):
        return path_combine(cbr_shared.path,FILE_NAME___DEMO_USERS__CONFIG_FILE)

    def users_data(self):
        return  toml_dict_from_file(self.path_config_file())
